Tspi_Context_FreeMemory(3)

TCG Software Stack Developers Reference

NAME
Tspi_Context_FreeMemory - Free allocated memory for a given context.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_FreeMemory(TSS_HCONTEXT hContext, BYTE* rgbMemory);

DESCRIPTION

Tspi_Context_FreeMemory frees memory allocated by the TSS Service Provider on a per-context basis. This should be used before Tspi_Context_Close is called, to avoid memory leaks.

PARAMETERS

  hContext
The hContext parameter is the handle to the local context.

  rgbMemory
The rgbMemory parameter is a pointer to the memory block to be freed. If this is NULL, all memory blocks bound to the context are freed.

RETURN CODES

Tspi_Context_FreeMemory returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hContext is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

CONFORMING TO

Tspi_Context_FreeMemory conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_Create(3), Tspi_Context_Close(3).